@import '../../assets/css/colors.scss';

:root {
    --size-nav: 4rem;
}

nav {
    display: flex;
    position: fixed;
    width: 100%;
    height: var(--size-nav);
    background: $gradient-nav;
    z-index: 100;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    box-shadow: 1px 0px 4px black;
}

.n-li {
    margin: 2rem;
}

.n-ul .n-li {
    display: inline-block;
    position: relative;
}

.n-ul .n-li::after {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 0%;
    content: '...';
    color: transparent;
    background: $text;
    height: 0.1rem;
    transition: all .3s;
}

.n-ul .n-li:hover::after {
    width: 100%;
}

a {
    color: $accent-text;
    display: block;
    text-decoration: none;
    cursor: pointer;
}

.link-fix, .link-fix:visited, .link-fix:hover, .link-fix:active, .link-fix:focus {
    outline: 0 none !important;
    border: 0;
}

.left {
    position: absolute;
    top: 0;
    left: 0;
}

.logo {
    display: flex;
    align-items: center;
    height: var(--size-nav);
}